Skip to main content

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

List models

GET /v3/models

Get details of a model

GET /v3/models/{model_id}

Details of all columns

GET /v3/models/{model_id}/columns

getModelColumnV3

GET /v3/models/{model_id}/columns/{column_id}

Delete a model

DELETE /v3/models/{model_id}

Update the fields of a model

PATCH /v3/models/{model_id}

Generate model from the given data sample

POST /v3/model-factory

Add a new model under a project

POST /v3/models

Upload artifacts associated with the model

POST /v3/models/{model_id}/deploy-artifact

Deploy a surrogate model

POST /v3/models/{model_id}/deploy-surrogate

Update artifacts associated with the model

PUT /v3/models/{model_id}/deploy-artifact

Update a surrogate model

PUT /v3/models/{model_id}/deploy-surrogate